/* Copyright (C) 2008 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */



#include "postscript_options.h"

#include <glade/glade.h>
#include "postscript_options_xml.h"


/*************************************************************************************************/
gboolean create_postscript_options(char *comando){
	GladeXML *xml;
	GError *error;
	GtkWidget *dialog, *aux;
	gint result;
	/* load the interface */
    	/*xml = glade_xml_new(GLADE_POSTSCRIPT_OPTIONS, NULL, NULL);*/
    	xml = glade_xml_new_from_buffer( postscript_options_xml, strlen(postscript_options_xml), NULL, NULL );
   	 if(xml==NULL) {
   	 	printf("Error: gtk_gnuplot.glade not found.\n\n");
 	   	exit(0);
 	   }
 	   /* connect the signals in the interface */
 	glade_xml_signal_autoconnect(xml);
    	dialog=glade_xml_get_widget(xml,"postscript_options_dialog");
    	//gtk_widget_hide(dialog);
    	result=gtk_dialog_run(GTK_DIALOG(dialog));
    	if( result==GTK_RESPONSE_OK ){
    		comando[0]='\0';
    		strcat(comando,"set term postscript ");
    		aux=glade_xml_get_widget(xml,"postscript_radiobutton");
    		if(!gtk_toggle_button_get_active ((GtkToggleButton *)aux)) strcat(comando,"eps ");
    		aux=glade_xml_get_widget(xml,"enhanced_checkbutton");
    		if(gtk_toggle_button_get_active ((GtkToggleButton *)aux)) strcat(comando,"enhanced ");
    		aux=glade_xml_get_widget(xml,"color_checkbutton");
    		if(gtk_toggle_button_get_active ((GtkToggleButton *)aux)) strcat(comando,"color ");
    		aux=glade_xml_get_widget(xml,"solid_radiobutton");
    		if(gtk_toggle_button_get_active ((GtkToggleButton *)aux)) strcat(comando,"solid ");
    		aux=glade_xml_get_widget(xml,"font_entry");
    		strcat(comando,"\"");
    		strcat(comando, gtk_editable_get_chars
					(GTK_EDITABLE(aux),0,-1));
		strcat(comando,"\"\n");
		gtk_widget_destroy(dialog);
  		return TRUE;
    	} 
  	gtk_widget_destroy(dialog);
  	g_object_unref(xml);
  	return FALSE;
}
